commit: b009af2e019c2bec5f7bf9189b08764a4d00f2f0
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 14 22:52:57 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Dec 14 23:20:49 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b009af2e
dev-python/joblib: Bump to 1.0.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/joblib/Manifest | 1 +
dev-python/joblib/joblib-1.0.0.ebuild | 46 +++++++++++++++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/dev-python/joblib/Manifest b/dev-python/joblib/Manifest
index 6e16f8204ef..e59752ac5b6 100644
--- a/dev-python/joblib/Manifest
+++ b/dev-python/joblib/Manifest
@@ -1 +1,2 @@
DIST joblib-0.17.0.tar.gz 345984 BLAKE2B
4f4cb83037fc02ce9ea17e7dc5d284235b847eeb90bf1a877c4168aabd9ad4dd762e45a6485806efc759cdfcb98e6ee70e6d9a498cd7645b1d6b0051a9f9ba2e
SHA512
73c42a9f5949478a4a03b97ec31549cabca2ebc968d2c869632696b671c175dc85ae7aa8ac92905f13f830083b2305b56df1552f1d70fa7fe51945ae7286840a
+DIST joblib-1.0.0.tar.gz 346996 BLAKE2B
6f31dba31e451fe1d05e7a34bc211b641e10a6dda21cc6a4d283a594744caa3434748a2c2c661c468931e509d815596db18ce1cbed287ae6b0da287490256dec
SHA512
3fad2f3d4d6651d2c0376403b3658defc9ae1acf08b2e187f77b440040ad414bf723241d685df862c08b88d784ded915f5794d0e0c29841d9acae4db200d7213
diff --git a/dev-python/joblib/joblib-1.0.0.ebuild
b/dev-python/joblib/joblib-1.0.0.ebuild
new file mode 100644
index 00000000000..d1dbc58f189
--- /dev/null
+++ b/dev-python/joblib/joblib-1.0.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Tools to provide lightweight pipelining in Python"
+HOMEPAGE="https://joblib.readthedocs.io/en/latest/
+ https://github.com/joblib/joblib"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ dev-python/cloudpickle[${PYTHON_USEDEP}]
+ dev-python/loky[${PYTHON_USEDEP}]
+"
+# joblib is imported by setup.py so we need ${RDEPEND}
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/threadpoolctl[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # unbundle
+ rm -r joblib/externals || die
+ sed -e "s:'joblib.externals[^']*',\?::g" -i setup.py || die
+ find -name '*.py' -exec \
+ sed -e 's:\(joblib\)\?\.externals\.::' \
+ -e 's:from \.externals ::' \
+ -i {} + || die
+
+ # https://github.com/joblib/joblib/issues/1115
+ sed -e 's:test_parallel_call_cached_function_defined_in_jupyter:_&:' \
+ -i joblib/test/test_memory.py || die
+
+ distutils-r1_python_prepare_all
+}